# SXP Reference

SXP_createQueryContext | Functions

#### Syntax

         SXP_createQueryContext(S, Qptr)

Name | Type | Description
--- | --- | ---
`S` | `SablotSituation` | The current situation.
`Qptr` | `QueryContext *` | Pointer to where to store the query context.
`(RET)` | `int` | The error code.

#### Description

Creates a `QueryContext`.

#### See Also

Groups | [ Functions ]
Entries | [ QueryContext | SablotSituation ]

© 2001-2003 Ginger Alliance
revision 03-01-31
This page was generated by APIDOC